#
# spec file for package perl-Package-Stash-XS
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Package-Stash-XS
Name:           perl-Package-Stash-XS
Version:        0.300.0
Release:        1.1
# 0.30 -> normalize -> 0.300.0
%define cpan_version 0.30
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Faster and more correct implementation of the Package::Stash API
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Needs)
Provides:       perl(Package::Stash::XS) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This is a backend for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Tue May 20 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Mon Jun 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.30
  see /usr/share/doc/packages/perl-Package-Stash-XS/Changes
  0.30      2022-06-12 20:00:39Z
  - misc tooling updates
  - fixed redundant argument in sprintf in tests (RT#143205)
* Mon Dec 31 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.29
  see /usr/share/doc/packages/perl-Package-Stash-XS/Changes
  0.29      2018-12-31 03:26:01Z
  - quiet compiler warning (Jacques Germishuys, PR #2)
  - canonical repository moved to
    https://github.com/moose/Package-Stash=XS
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.28
  - fix test issue (Graham Knop)
  - handle magic more correctly in add_symbol and get_or_add_symbol
* Sun Jun  9 2013 coolo@suse.com
- updated to 0.26
  - internal refactorings to support Package::Anon stashes - this should
    work now
- remove outdated perl-Package-Stash-XS-old_Test-More.patch
* Wed Feb 29 2012 ro@suse.de
- make it build again with old Test::More
* Wed Oct 26 2011 tabraham@novell.com
- updated to 0.25
  - fix compilation on perl 5.8 (RT#70762)
- updated to 0.24 2011-09-05
  - invalid package names (for instance, Foo::Bar) are not allowed
  - invalid stash entry names (anything containing ::) are not allowed
- updated to 0.23 2011-08-08
  - fix the test for scalar values, again (t0m, rafl)
  - disallow assigning globrefs to scalar glob slots (this doesn't
    actually make any sense)
* Sat Jun  4 2011 lars@linux-schulserver.de
- fix build on distributions with old Test::More module
  ( perl-Package-Stash-XS-old_Test-More.patch )
* Thu Mar 31 2011 coolo@novell.com
- initial package 0.22
  * created by cpanspec 1.78.03
